html {
  background-image: url('gradient.png');
  background-size: cover;
  min-height: 100vh;
}

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 100%;
  height: calc(100vh - 100px);
}

#layout-wrapper {
  background: #0004;
  border-radius: 20px;
  padding: 50px;
}

#layout {
  display: flex;
  flex-direction: row;
  width: fit-content;
  max-width: 100%;
  align-items: stretch;
  justify-content: space-evenly;
}

h1 {
  margin-top: unset;
  font-family: 'Kanit', sans-serif;
  font-weight: 300;
  color: white;
}

h1 small {
  font-family: 'Lato', sans-serif;
  font-weight: 300;
  font-size: small;
}

h2, h3 {
  font-family: 'Kanit', sans-serif;
  font-weight: 200;
  color: white;
}

h3 {
  text-align: right;
  margin-bottom: unset;
}

#instructions {
  color: white;
  font-family: 'Lato', sans-serif;
  font-weight: 300;
}

#instructions a {
  color: #95DBE6;
}

#form-wrapper {
  padding-bottom: 20px;
  padding-right: 30px;
  border-right: 1px solid #fff8;
  margin-right: 30px;
}

#form * {
  font-family: 'Lato', sans-serif;
}

#form label {
  margin-right: 10px;
  color: white;
  font-weight: 300;
}

#form table input {
  min-width: 200px;
  padding: 5px;
  border: 1px solid #fff8;
  border-radius: 5px;
  background: none;
  color: white;
}

#form input[disabled], #form label[disabled="true"] {
  opacity: 0.5;
}

#preview-settings {
  display: flex;
  justify-content: space-between;
  width: 100%;
}

#preview {
  width: 800px;
  max-width: 800px;
  min-height: 600px;
}

#preview-wrapper {
  background: white;
  font-family: sans-serif;
  border-radius: 5px;
  width: calc(100% - 40px);
  max-width: 800px;
  padding: 20px;
}

#preview-wrapper.mobile {
  max-width: 300px;
}

#preview-body {
  font-size: 10pt;
  max-width: calc(100% - 40px);
}

#controls {
  padding-top: 20px;
  display: flex;
  gap: 10px;
  flex-direction: row;
  align-items: end;
  justify-content: flex-end;
}

#submit {
  display: none;
}

button {
  border-radius: 5px;
  border: 1px solid #fff8;
  height: 2.25em;
  padding-left: 1em;
  padding-right: 1em;
  font-family: 'Lato', sans-serif;
  text-transform: uppercase;
  font-weight: 300;
  font-size: medium;
  color: white;
  background: none;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  transition: 0.1s ease-in-out;
  cursor: pointer;
}

button:hover {
  background: #fff2;
}

button:active {
  background: #0002;
}

button[disabled] {
  opacity: 0.5;
  cursor: default;
}

button[disabled]:hover {
  background: none;
}

.options {
  display: flex;
  flex-direction: column;
  gap: 5px;
  margin-top: 20px;
}

.options > div {
  display: flex;
  justify-content: flex-end;
  gap: 10px;
}

.options label {
  font-family: 'Lato', sans-serif;
  font-weight: 300;
  color: white;
}

.socials-desktop {
  display: none;
}

.socials-mobile {
  display: block;
}

#preview-wrapper.desktop .socials-desktop {
  display: block !important;
}

#preview-wrapper.desktop .socials-mobile {
  display: none !important;
}